[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: toolchain uninstallable in testing



On Mon, 26 Jan 2009 01:36:04 +0000
Wookey <wookey@wookware.org> wrote:

> Someone complained that it was not possible to install the arm
> cross-tools from emdebianinto eithe retch or lenny at the moment,
> although emchain worked (because it uses unstable).

Hmmm, maybe that was my fault. I was trying to see if the toolchains
could be in sync with Debian, what with a release due fairly soon.
 
> I just also found that only gcc-4.3 is available in gnueabi form and
> that is not installable in testing.

Which bits are missing?
 
> Do we just need to migrate/rebuild the right packages or are there
> more seriously broken things?

The toolchains do seem to be a little behind Debian.

> My reprepro-foo is getting quite good these days so I don;t mind a bit
> of tidying to get testing back uptodate, but I do need to know where
> we keep the archive signing key.
> 
> And has anyone written any scriptage to ensure that all deps are
> migrated together (it's very easy to get it wrong when doing it by
> hand).

emdebian-qa 1.4.15 contains /usr/share/emdebian-tools/emtoolchain.pl
that tries to relate the toolchains against the filter repository
which, in turn, is in sync with Debian.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

Attachment: pgpnyUpm2kvgc.pgp
Description: PGP signature


Reply to: